CMS-1500 PDF: Transaction ID
Retrieve the generated CMS-1500 Claim Form PDF for a submitted 837P professional claim
/export/{transactionId}/1500/pdfThis endpoint uses a claim's transactionId to retrieve autogenerated CMS-1500 Claim Form PDFs for submitted 837P professional claims.
- Call this endpoint with the
transactionIdpath parameter set to the claim's transaction ID. Stedi includes this ID in the transaction processed event for the claim, which you can receive automatically through Stedi event destinations. You can also retrieve this ID through the Poll Transactions endpoint. - The endpoint returns the PDF data as a base64 encoded string.
To view the PDF, decode the base64 string and save it to a file with a .pdf extension.
This endpoint isn't compatible with the Create Professional Claim (CMS-1500) JSON endpoint. You can use it with the Professional Claims (837P) JSON - Legacy and Professional Claims (837P) Raw X12 endpoints.
A Stedi API Key for authentication. Supports both test and production API keys.
Path Parameters
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Length: 36A unique identifier for the processed claim within Stedi. This ID is included in the transaction processed event for the claim, which you can receive automatically through Stedi webhooks. You can also retrieve this ID through the Poll Transactions endpoint.
Query Parameters
If false, the generated PDF will only contain the form data on a white background, suitable for printing on pre-printed forms. The default is true.
Response
curl --request GET \ --url "https://healthcare.us.stedi.com/2024-04-01/export/{transactionId}/1500/pdf" \ --header "Authorization: <api_key>""JVBERi0xLjcKJYGBgYEKCjcgMCBvYmoKPDwKL0ZpbHRlciAvRmxhdGVEZWNvZGUKL0xlbmd0aCAxMAo ..."